Package org.apache.felix.framework.resolver

# Class ResolverImpl

java.lang.Object
org.apache.felix.framework.resolver.ResolverImpl

All Implemented Interfaces:
  `Resolver`

public class ResolverImpl extends Object implements Resolver

## Constructor Summary

Constructors
Constructor
Description
`ResolverImpl(Logger logger)`

## Method Summary

Modifier and Type
Method
Description
`Map<BundleRevision,List<ResolverWire>>`
`resolve(ResolveContext rc)`
`Map<BundleRevision,List<ResolverWire>>`
`resolve(ResolveContext rc, BundleRevision revision, String pkgName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResolverImpl

public ResolverImpl(Logger logger)

## Method Details

### resolve

public Map<BundleRevision,List<ResolverWire>> resolve(ResolveContext rc)

Specified by:
  `resolve` in interface `Resolver`

### resolve

public Map<BundleRevision,List<ResolverWire>> resolve(ResolveContext rc, BundleRevision revision, String pkgName)

Specified by:
  `resolve` in interface `Resolver`